# Interface IPopulateSearchResultPreviewsEventArgs

Executed when a {@link Suggestion} is focused and waiting for search result previews.

## Index

### Properties

- previewsQueries
- suggestion

## Properties

### previewsQueries

previewsQueries: (ISearchResultPreview[] | Promise<ISearchResultPreview[]>)[]

- Defined in events/ResultPreviewsManagerEvents.ts :36

The result previews query. This must be set synchronously before the event resolves. Setting this to a non-empty array will display the given search result previews.

### suggestion

suggestion: Suggestion

- Defined in events/ResultPreviewsManagerEvents.ts :31

The suggestion to look up search result previews for.

### Hierarchy

- IPopulateSearchResultPreviewsEventArgs